glossaries change log:

v5.0 (2026-03-06)

 * Corrected definition of \acrpluralsuffix in acronym styles

 * Added \showgloshortplural and \showglolongplural debugging
   commands

 * Minor corrections to user guide

v4.9 (2025-11-09)

 * glossaries.sty

  - added "none" as an allowed value for "section" option (omit
    heading)

  - removed deprecated \l_keys_choice_tl and corrected some expl3
    declaration errors

v4.8 (2025-08-11)

 * glossaries.sty

  - replaced \write18 with \sys_shell_shipout:e

v4.7 (2025-05-14):

  * makeglossaries

    - allow dots in base name and allow ".aux" extension to be
      specified. (NB no change to makeglossaries-lite.lua which
      already permits '.aux' extension.)

v4.6 (2025-04-14):

 * glossary-tree.sty and glossary-mcol.sty

   - bug fix: corrected arg-spec for tree* group header function

v4.59 (2025-04-11)

 * glossaries.sty

  - bug fix: initialise \@glo@assign@sortkey in case \printnoidxglossary
    has been used without \makenoidxglossaries

  - bug fix: see auto-index must occur after index internal field
    has been set.

  - new package option 'preprocess-sort' (for use with
    \printnoidxglossary)

  - added \printnoidxglossary sort options 'wordcase' and
    'lettercase' (requires datatool v3.0+)

  - \printnoidxglossary now sets childcount internal field
    (unless sort=def or sort=use) provided datatool.sty v3.0+
    available.

  - added style-options key for use in \setupglossaries

  - new commands:
    \GLOSSentryname
    \GlossEntryName
    \GLOSSentrydesc
    \GlossEntryDesc
    \GLOSSentrysymbol
    \GlossEntrySymbol
    \GlsNoIdxDoRerunCheck
    \GlsNoIdxMissingAction
    \glsnoidxinithook
    \glsnoidxitemhook
    \glossaries_if_has_nonsuppressed_desc:nTF

 * glossary-tree.sty:

  - added "tree*" style with key=value settings.

 * glossary-mcols.sty:

  - added "mcoltree*" style with key=value settings.

 * New test file:

  example-glossaries-constants.tex

 * Rollback files:

   glossaries-2025-03-19.sty
   glossary-tree-2025-03-19.sty
   glossary-mcols-2025-03-19.sty

>>>>>>> .r1575
v4.58 (2025-03-19)

 * glossaries.sty

  - \@gls@reference: check location not already in list before
    adding

  - bug fix: issue #292 
    Test for the existence of \datatool_sort_preprocess:Nn occurs too soon
    https://www.dickimaw-books.com/bugtracker.php?key=292

  - The mfirstuc option will now redefine \glsmakefirstuc as a long
    command.

v4.57 (2025-03-12)

 * glossaries.sty

  - corrections with the integration of datatool and
    \printnoidxglossary

  - \printnoidxglossary rewritten to work better with
    tabular-like glossary styles

v4.56 (2025-03-03)

 * glossaries.sty:

  - corrections to \printnoidxglossary when used with datatool v3.0+

v4.55 (2024-11-01):

 * glossaries.sty:

  - automake: added check for TEXMF_OUTPUT_DIRECTORY if kernel supports it

  - updated sorting for "noidx" method to use new datatool v3.0+
    commands, if available

  - added "locales" as a synonym of "languages" package option.

  - bug fix: added check for empty value in see field

v4.54 (2024-04-03):

 * glossaries.sty:

  - added check for \l_datatool_measure_hook_tl (provided by datatool v3.0+)

  - added:
      \glsdohyperlinkhook
      \glsdohypertargethook
      \glslabelhypertarget
      \glslabelhypertargetprefix
      \glslabelhypertargetdefs
      \glslabelhypertargetvalue

  - removed MFU mappings for expandable commands like \glsentryname
    see issue #271: https://www.dickimaw-books.com/bugtracker.php?key=271

  - bug fix: https://github.com/latex3/tagging-project/issues/48

v4.53 (2023-09-29):

 * added test file example-glossaries-utf8.tex

 * glossary-hypernav.sty:

  - reimplemented internal hypergroup lists as LaTeX3 sequences

  - fixed bug "Duplicate entries in navigation menu of custom
    glossaries"
    https://github.com/nlct/bib2gls/issues/26
    (NB This also requires an update to glossaries-extra v1.53 if
    that package is required)

v4.52 (2022-11-03):

 * glossaries.sty:

  - corrected spelling of \@ne

v4.51 (2022-11-02):

 * glossaries.sty:

  - indexing and unset/reset disabled during measuring

  - added \glsmeasurewidth, \glsmeasureheight and \glsifmeasuring

  - switched to \TrackIfKnownLanguage for the languages identified in
    "languages" option

  - added test file example-glossaries-user.tex

  - bug fix #215 (automake doesn't work)
    https://www.dickimaw-books.com/bugtracker.php?key=215

v4.50 (2022-10-14):

 * glossaries.sty:

  - Case-changing support now tries to detect the new mfirstuc.sty v2.08
    commands. If available:

     - exclusions, blockers and mappings will be established for \makefirstuc.

     - \mfirstucMakeUppercase won't be redefined (since it will now be using 
       \text_uppercase:n instead of \MakeUppercase)

     - textcase.sty (which is now deprecated) won't be loaded. All
       the functionality of textcase is now pre-provided with 
       recent LaTeX kernels.

    If an older version of mfirstuc is present, textcase will be
    loaded and the old limitations of \makefirstuc will still apply
    (most notably, the requirement to group any leading UTF-8 character).

    For the best support, ensure you have mfirstuc v2.08 and 
    glossaries-extra v1.49 when they become available.

  - new command \glssentencecase used for sentence-casing. Default
    definition uses \makefirstuc but may be redefined to use
    \MFUsentencecase if preferred.

  - \glsentrytitlecase, \Glsentryname etc now expand to sentence case 
    in PDF bookmarks

  - new package option mfirstuc implements expanded/unexpanded options
    provided by mfirstuc v2.08+

  - new commands \glslowercase and \glsuppercase

  - The default setting for esclocations and \ifglswrallowprimitivemods
    is now false. If a document requiring xindy has locations that expand to
    robust commands you may need to switch these on or see the
    "Problematic Locations" section of the user manual.

  - new commands used by \glshypernumber:

     \glswrglosslocationtarget
     \glswrglossdisableanchorcmds

  - added \glswrglossdisablelocationcmds to disable commands when
    writing locations to the glossary file.

  - \glsaddprotectedpagefmt now only has an effect with
    esclocations=true

  - automake package option has new options:

    automake=makegloss -> use makeglossaries
    automake=lite -> use makeglossaries-lite
    automake=delayed -> formerly automake=true

    automake=true is now a deprecated synonym of automake=delayed

    If the value isn't specified the default is now
    automake=immediate instead of automake=true since the immediate 
    setting is more reliable.

    Note that neither makeglossaries nor makeglossaries-lite are on
    the list of trusted applications, so the unrestricted shell escape 
    will be required with these options.

  - if the automake package option is used with LuaLaTeX, the
    shellesc package will automatically be loaded. Note that if you
    specify automake in \setupglossaries, you'll need to explicitly
    load shellesc

  - Bug fix #196: xindy codepage now defaults to utf8 if
    \inputencodingname isn't defined

  - Bug fix #189: setting mathrel category gives ordinary spacing instead of mathrel spacing
    https://www.dickimaw-books.com/bugtracker.php?key=194

    This bug fix has introduced a new command \glsencapwrcontent
    which adds grouping around the indexing whatsit. If this
    grouping causes a problem redefine it without the grouping:

    \renewcommand*{\glsencapwrcontent}[1]{#1}

  - Bug fix #195: Conflict if xtab is loaded 
    https://www.dickimaw-books.com/bugtracker.php?key=195

    If xtab has been loaded, nosuper is automatically implemented

  - Bug fix #191: local \gls option not localised
    https://www.dickimaw-books.com/bugtracker.php?key=191

  - Bug fix: \GlsAddXdyCounters causes duplicate attribute
    definitions in the .xdy file

  - Bug fix: \newacronym longplural using incorrect plural suffix 
    (\acrpluralsuffix instead of \glspluralsuffix)

  - Bug fix: removed inappropriate \acronymfont from around long form
    of dua-desc style

  - Added \glsshowtargetinner and \glsdoshowtarget (debug=target)

  - Added package option languages

  - Corrected kernelredefs choice internal commands

  - Added check for \nofiles

  - Entry counting now has associated conditional \ifglsresetcurrcount
    which determines whether or not to set the counter back to 0
    when the first use flag is reset. (This has also been added to
    glossaries-extra v1.49.) The default is false, which is a change
    in behaviour to previous versions.

  - added sort=clear option

  - added \glsindexingsetting

  - added \ifglsfieldvoid

  - added \glsnoidxprenumberlist (fixed nonumberlist key with
    "noidx" indexing)

  - compatibility options compatible-3.07 and compatible-2.07 are no
    longer available. Use rollback for backward-compatibility.

  - deprecated acronym style package options
   'description', 'footnote', 'smaller', 'smallcaps', 'dua'
    no longer available. Use rollback for backward-compatibiliy.

 * glossary-inline.sty:

  - added \glsinlineifhaschildren

 * makeglossaries:

  - added -e switch (don't attempt to repair multiple encaps)

  - added check for \glsignore when repairing multiple encaps

  - added check and repair for illegal page number/digit messages

v4.49 (2021-11-01):

 * glossary-list.sty:

  - bug fix #187: Compilation fails if hyperref is loaded and the style is listhypergroup
    https://www.dickimaw-books.com/bugtracker.php?key=187

  - bug fix #188: Glossary style `list' undefined with v4.46 rollback
    https://www.dickimaw-books.com/bugtracker.php?key=188

v4.48 (2021-10-19):

 * glossary-list.sty:

  - bug fix #186: list style with entrycounter has problematic unexpanded content
    https://www.dickimaw-books.com/bugtracker.php?key=186

    This bug fix adds the following new commands:

      \glslistinit
      \glslistexpandedname

 * glossaries.sty:

  - new command \glsunexpandedfieldvalue (provided for use in
    \glslistexpandedname)

  - new command \glscapitalisewords (defaults to \capitalisewords)
   provides a way to switch to \capitalisefmtwords if required

v4.47 (2021-09-20):

 * added new files containing dummy entries for testing:

   - example-glossaries-longchild.tex
   - example-glossaries-childmultipar.tex

 * glossaries.sty:

   - Rollback to v4.46 is available, if necessary:

     \usepackage{glossaries}[=v4.46]

   - bug fix #173 https://www.dickimaw-books.com/bugtracker.php?key=173
     (.glsdefs not updated if entry definition modified)

     This bug fix has also led to support for the use of the 'see' key 
     within the document environment.

     ** Delete your .glsdefs files on upgrading **

    Note that this update slightly changes the format of the .glsdefs file.
    If you have a system that parses this file (for example, to pick
    up labels for autocompletion) it will need to be modified.

    Old format:

\ifglsentryexists{<label>}{}%
{%
\gls@defglossaryentry{<label>}%
{%
<key value list>
}%
}%

    New format:

\glsdefs@newdocentry{<label>}%
{%
<key value list>
}%

   - bug fix #162 https://www.dickimaw-books.com/bugtracker.php?key=162
    (\newacronym without \setacronymstyle but with
     \glsnoexpandfields has incorrect plurals)

   - bug fix #166 https://www.dickimaw-books.com/bugtracker.php?key=166
     (\ also needs escaping with makeindex's quote character in the
     event that the sort value contains commands like \| or \! with
     sanitizesort=true)

   - bug fix #177 https://www.dickimaw-books.com/bugtracker.php?key=177
     (spurious \glolist@ at the end of glslabels file with writeglslabels option)

   - new package option 'writeglslabelnames'
     (as writeglslabels but also writes the name)

   - added warnings to deprecated acronym style package options
     'description', 'footnote', 'smaller', 'smallcaps', 'dua'
     and corresponding commands, such as \SetDescriptionFootnoteAcronymStyle.

     (These package options and commands were deprecated in v4.02 2013-12-05
     and have been labelled as deprecated in the manual since then.)
     The warnings can be suppressed with the 'nowarn' package option
     but it's better to use \setacronymstyle instead (or switch to
     glossaries-extra's abbreviations).

   - replaced some instances of \edef with \protected@edef when
     defining control sequences that store labels or lists of
     labels. Similarly for \xdef and \eappto. (Aiming towards 
     support for UTF-8 characters in labels with PDFLaTeX, but may 
     not be fully implemented so not yet documented.)

     Note that letter group formations using TeX
     (\printnoidxglossary or \printunsrtglossary without bib2gls) still
     don't work if the sort value starts with a UTF-8 character with
     PDFLaTeX. (This is also a limitation of makeindex regardless of
     the TeX engine.)

   - added internal command \@makeglossaries@warn@noprintglossary

 * makeglossaries-lite:

   - added hybrid instructions if glossaries-extra record option detected but not
     \makeglossaries

   - bug fix #183 https://www.dickimaw-books.com/bugtracker.php?key=183
     ("bad argument #1 to 'gsub'" when \makeglossaries missing)

   - Only add double-quotes if filename contains any spaces
     (should address issue #129)

 * makeglossaries:

   - added hybrid instructions if glossaries-extra record option detected but not
     \makeglossaries

   - only add double-quotes to makeindex/xindy if space occurs in
     the pathname. (Issue #129 for makeglossaries-lite will probably
     also cause the same problem for makeglossaries since it relates
     to the behaviour of certain versions of cmd.exe in Windows.)

 * user manual:

  - some sections have been rearranged.

v4.46 (2020-03-19):

 * glossaries.sty:

   - added starred form \ifglossaryexists* to include ignored
     glossaries in existence test.

   - added \@printgloss@checkexists to allow better integration with
     \printunsrtglossary (provided by glossaries-extra.sty).

v4.45 (2020-02-13):

 * glossaries-accsupp.sty:

   - new associated accessibility keys for the user fields

   - new commands: \glsaccessibility, \glsfieldaccsupp, \xglsfieldaccsupp,
     \glsshortaccsupp, \glsshortplaccsupp (determine Alt/ActualText/E
     according to the field)

   - added accessibility support to \glstext, \glsplural, \glsfirst,
     \glsfirstplural, \glssymbol, \glsname, \glsdesc,
     \glsdescplural, \glsuseri, \glsuserii, \glsuseriii, \glsuseriv,
     \glsuserv, \glsuservi and their case variants

   - bug fixes: 

     - added field existence checks for \gls...accessdisplay commands

     - removed symbol use backward compatibility as it causes
       interference

 * glossaries-prefix.sty:

   - new command \glsprefixsep

 * glossaries.sty:

   - new package options:

      disablemakegloss
      restoremakegloss
      writeglslabels

   - package option debug now also accepts value 'showaccsupp'

   - detokenize label before passing to \glsshowtarget

   - new commands: \glsentryparent, \glsshowtargetouter and \glsshowtargetfont

   - made robust: \ifglshaschildren, \ifglshassymbol, \ifglshaslong,
     \ifglshasshort, \ifglshasfield

   - Bug fix:

     - added existence check to \glsentrytitlecase

v4.44 (2019-12-06):

 * glossaries-prefix.sty:

   - add hook for glossaries-extra's record option.

v4.43 (2019-09-28):

 * glossaries.sty:

   - added check for LaTeX kernel 2019/10/01 (new kernel affects
     accent stripping of UTF-8 characters with \makenoidxglossaries)

v4.42 (2019-01-06):

 * glossaries.sty:

  - changed \edef to \protected@csedef in \glsfieldedef

  - changed \xdef to \protected@csxdef in \glsfieldxdef

  - added package option 'noglossaryindex' to counteract 'index'
    (if 'index' happens to be supplied as a global option)

  - automake option now takes 'immediate' as a value.

 * glossary-longbooktabs.sty:

  - removed superfluous \glspatchLToutput

v4.41 (2018-07-23):

 * glossaries.sty:

  - added package option kernelglossredefs (Warnings are now
    generated if the kernel commands \makeglossary and \glossary are
    used. These commands are deprecated with the glossaries package.
    If the originals are required, by a package or class that must
    be used with glossaries.sty for some reason, then use 
    kernelglossredefs=false, but beware of other possible conflicts.)

  - renamed some internal commands to avoid conflict
     \gls@debug@val, \gls@debug@nr
     \gls@seenoindex@val, \gls@seenoindex@nr
     \gls@numberedsection@val, \gls@numberedsection@nr
     \gls@translate@val, \gls@translate@nr
     \gls@nonumberlist@val, \gls@nonumberlist@nr

v4.40 (2018-06-01):

 * bug fix: corrected page number reference when
   using \makenoidxglossaries 

v4.39 (2018-05-23):

 * makeglossaries-lite.lua:

  - corrected version information

 * glossariesbegin.tex:

  - updated further information section

 * glossaries-user.tex:

  - updated some external links

v4.38 (2018-05-10):

 * glossaries.sty:

  - added \GlsEntryCounterLabelPrefix

  - bug fixes:

    - moved conditional inside \glsstepentry,
      \glsstepsubentry, \glsrefentry,
      \glsentrycounterlabel, \glssubentrycounterlabel, \glsentryitem,
      \glssubentryitem, \glsresetentrycounter, \glsresetsubentrycounter

    - removed spurious space in subentrycounter (printgloss) key

    - fixed use of entrycounter and subentrycounter in \setupglossaries

 * glossaries-accsupp.sty:

  - bug fixes:

   - added braces around argument of ActualText in \glsaccsupp

   - corrected field used in \showglonameaccess

v4.37 (2018-04-07):

 * glossaries.sty:

  - added \gls@begindocdefs

v4.36 (2018-03-07):

 * glossaries.sty:

  - bug fix (if \makeindex is used without \makeglossaries, 
    corrupted glossary information is written to the .idx file)

 * makeglossaries-lite.lua:

  - corrected check for double-quotes in \@istfilename
    (from \jobname when the .tex file name contains spaces)

  - added check for nil codepage

v4.35 (2017-11-14):

 * glossaries.sty:

  - bug fix (\glsadd breaks with sort=use)

v4.34 (2017-11-03):

 * glossaries.sty:

  - modified \glsshowtarget to check for math mode and inner

 * glossary-mcols.sty:

  - removed spurious space in mcolalttreespannav style

 * makeglossaries and makeglossaries-lite.lua:

  - added check for \glsxtr@resource

v4.33 (2017-09-20):

 * Removed makeglossaries.bat (TeX distributions on Windows
   convert the Perl script to makeglossaries.exe, so the
   .bat file isn't needed.)

 * makeglossaries and makeglossaries-lite.lua now have their
   version numbers synchronised with glossaries.sty

 * Added makeglossaries-lite.pod (to provide the
   makeglossaries-lite.1 man file)

 * Updated POD at the end of makeglossaries

 * Added example-glossaries-symbolnames.tex for use in any MWE 
   requiring symbols in the name fields.

 * Tidied up the user manual and guide for beginners.

 * glossaries.sty:

  - added package option nolangwarn

  - added package option esclocations

  - added \GlsSetXdyNumberGroupOrder

  - added starred form of \GlsSetXdyFirstLetterAfterDigits

v4.32 (2017-08-24):

 * glossaries.sty:

  - added debug=showtargets and associated commands
    \@glsshowtarget and \glsshowtarget

 * glossary-hypernav.sty:

  - added \@glsnavhypertarget

v4.31 (2017-08-10):

 * glossaries.sty:

  - Bug fix: 'nolist' option sets default style to \relax
    if currently set to 'list' to prevent trying to set an
    undefined style.

v4.30 (2017-06-11):

  * glossaries.sty:

   - Added sort=none option

   - Added \glosortentrieswarning

   - Added \@glo@autosee

   - Fixed bug occurring with \setupglossaries{sort=def}

   - Fixed bug in \@xdyuserlocationnames

   - Fixed bug in \@xdylocationclassorder

   - Added \@xdycrossrefhook

   - Added \@glo@check@sortallowed

   - Fixed bug in \printnoidxglossary with group skips in
     tabular styles

  * makeglossaries v2.21:

    - Fixed spelling mistake in warning message
      (\GlsAddLocation -> \GlsAddXdyLocation)

    - Adjusted range encap clash correction

v4.29:

  * glossaries-accsupp.sty: corrected check for glossaries-extra
    'accsupp' option.

  * glossaries.sty: moved definition of \@gls@currentlettergroup
    before \begin{theglossary} and made redefinitions of it within
    theglossary global to guard against scoping issues cause by
    tabular-like glossary styles.

  * glossary-hypernav.sty: added \glsnavhyperlinkname

v4.28:

  * glossaries.sty: added \glspatchtabularx

v4.27:

  * Version number updated in *.sty files, but no actual code
    change.

  * makeglossaries v2.20 and makeglossaries-lite.lua v1.3:

    - Added check for \glsxtr@makeglossaries

v4.26:

  * glossaries.sty:

    - added check for classicthesis.sty (if it's been loaded
      the default style is changed to "index" since the "list"
      style doesn't work with classicthesis.)

  * glossary-tree.sty:

    - new commands \glstreeitem, \glstreesubitem and
      \glstreesubsubitem provided for the "index" style
      to make the style easier to adjust.

    - replaced hard-coded \space with \glstreepredesc 
      or \glstreechildpredesc for all glossary-tree styles
      except for the alttree* styles.

  * glossary-mcol.sty:

    - The "mcolindex" and "mcolindexspannav" styles
      use the new \glstreeitem, \glstreesubitem and
      \glstreesubsubitem provided by glossary-tree.sty.

v4.25:

  * glossaries.sty:

    - bug fix
      http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=111

v4.24:

  * glossaries.sty:

    - added debug and seenoindex option

    - added \GlsSetWriteIstHook and \GlsSetQuote

    - added \@gls@extramakeindexopts for makeglossaries
      and makeglossaries-lite.lua (allow makeindex -g
      for German documents)

  * makeglossaries (2.19):

    - Improved check in &parse_for_xindy_nosort

    - Added check for \@gls@extramakeindexopts

  * makeglossaries-lite.lua (1.2):

    - Added check for nil codepage

v4.23

  * glossaries.sty:

    - added \glscurrentfieldvalue

  * tabular-like styles (glossary-long.sty etc):

    - bug fix (nogroupskip in tabular styles with "noidx" commands)
      http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=108

v4.22:

  * glossaries.sty:

    - added \gls@arabicpage

    - added \ifglswrallowprimitivemods

    - added \glsentrytitlecase

  * glossary-tree.sty:

    - new formatting commands \glstreegroupheaderfmt
      and \glstreenavigationfmt to
      make it easier to customize styles

    - new command \glsfindwidesttoplevelname

  * glossary-mcols.sty:

    - hard-coded \textbf replaced with
      \glstreegroupheaderfmt or \glstreenavigationfmt,
      as appropriate

    - added new styles mcolindexspannav, mcoltreespannav,
      mcoltreenonamespannav, mcolalttreespannav

  * glossary-list.sty:

    - new formatting commands \glslistgroupheaderfmt
      and \glslistnavigationitem to make it easier to 
      customize styles

    - fixed missing space before description in list
      style sub-entries.

  * glossary-super.sty:

    - fixed bug in super4col style

  * glossary-long.sty:

    - fixed bug in long style (typo in \glossentrydesc
      for sub-entries)

v4.21:

  * glossaries.sty:

    - Added warning if there's no default style.

  * glossary-longbooktabs.sty - new package

  * makeglossaries (2.18):

    - Added extra diagnostic if xindy's empty index key
      warning/error occurs.

    - Added check for makeindex's multiple encap warning
      and attempt to fix.

  * glossaries-user.tex:

    - Fixed typo: \DefineAcronymShortcuts should be
      \DefineAcronymSynonyms

v4.20:

  * makeglossaries (2.17) bug fix
   http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=101

  (No changes to any of the *.sty files, except the version number.)

v4.19:

  * glossaries.sty:

    - Added commands: \glsdoifexistsordo, 
      \doifglossarynoexistsordo 

    - Added some new internals that will be used by pending new
      package glossaries-extra.sty

  * glossary-tree.sty:

    - Added \glstreenamebox

v4.18:

  * mfirstuc removed from glossaries bundle and now
    needs to be installed separately

v4.17:

  * makeglossaries-lite.lua:

    - changed #! line "lua" to "texlua"

  * mwe-acr.tex and mwe-acr-desc.tex:

    - fixed misplaced \setacronymstyle

v4.16:

  * Added makeglossaries-lite.lua (Lua trimmed-down alternative 
    to Perl makeglossaries script. Doesn't have the full
    functionality of makeglossaries but doesn't require Perl.)

  * makeglossaries (Perl script):

    - fixed ngerman din5007 issue.

  * glossaries.sty:

    - new field-related commands:
      \glsaddstoragekey, \glsfielddef, \glsfieldedef,
      \glsfieldgdef, \glsfieldxdef, \glsfieldfetch,
      \ifglsfieldeq, \ifglsfielddefeq, \ifglsfieldcseq

    - new user command \glswriteentry to hook into mechanism
      that writes entry information to the external files

    - new user command \glspostlinkhook to hook into end of
      commands like \gls and \glstext.

    - Added new acronym styles "long-sp-short" and
      "long-sp-short-desc"

    - bug fix: \glsadd should use \@@do@wrglossary not
      \@do@wrglossary

v4.15:

  * glossaries.sty:

   - bug fix
     www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=79

v4.14:

  * glossaries.sty:

    - Added \glsenableentrycount and associated commands
      and accompanying sample file sample-entrycount.tex 
      that illustrates them.

v4.13:

  * glossaries.sty:

    - provide a definition of \indexspace if not already defined
      for those styles that need it.

  * mfirstuc.sty (v1.10):

    - added \ecapitalisewords, \emakefirstuc

v4.12:

  * glossaries.sty:

    - Separated language-dependent code into separate
      modules to be independently installed, as required.

    - Fixed bugs:
      www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=67
      www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=69
      www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&category=glossaries&key=72

v4.11:

  * glossaries.sty:

    - Added \glsaddprotectedpagefmt

    - Put back the redefinition of \glossary (so that it takes an
      optional argument) removed in the previous version to 
      allow for packages that have hacked the internal glossary
      writing mechanism. (This may be removed or moved to a 
      compatibility mode in the future.)

    - Fixed backward compatibility support of deprecated
      sanitize=none option

    - Fixed bug introduced in v4.10 that caused a conflict with
      doc.sty

v4.10:

  * Added test file example-glossaries-url.tex 

  * glossaries.sty:

    - Added \glspercentchar and \glstildechar

    - Fixed problem with \Glsentryname (and \Glsname)
      when used with \setacronymstyle

    - No longer redefine \glossary but instead define
      a replacement internal command \gls@glossary, and 
      renamed \@glossary to \@gls@glossary

  * glossary-tree.sty:

    - Corrected location of space in alttree style with symbols

v4.09:

  * Fixed bug in \glsaddkey introduced in v4.08
    www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=64

v4.08:

  * New files: example-glossaries-*.tex

    These contain lorem ipsum dummy entries for testing
    new styles or constructing MWEs that require a lot of sample entries
    (to be placed on TeX's path)

  * glossaries.sty

   - new package option: automake

   - \newglossary now has a starred version where you don't need
     to specify the extensions

   - new commands: \forallacronyms, \newignoredglossary

   - new keys for \printglossary/\printnoidxglossary:
     entrycounter, subentrycounter, nopostdot

   - \gls etc now have a +-version (opposite of the *-version)
     that explicitly switches on the hyperlink with hyper=true
     (unlike the unstarred version that uses the default setting).

   - new commands for use within \glsentryfmt or \defglsentryfmt:
     \glsifhyperon and \glslinkvar (\glsifhyper now deprecated).

   - fixed bug that didn't correctly honour the hyper setting
     in commands like \glslink, \gls, glstext, etc under 
     certain situations.

   - fixed bug
     www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=54

   - added \@gls@hyp@opt and removed now-redundant internal commands

   - removed some of the redundancy in commands like \gls

  * glossary-longragged.sty:

   - Fixed bug in altlongragged4col style that displayed the
     description instead of the symbol in the third column.

  * glossary-tree.sty:

   - Added \glstreenamefmt

  * mfirstuc.sty v1.09:

   - Added \MFUnocap

  * New package: mfirstuc-english.sty

  * makeglossaries

   - Fixed bug report
     http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=55

v4.07:

  * glossaries.sty:

   - Added \glsletentryfield

   - Bug fixes:
     - added optional argument to unstarred sectioning
       commands (used with package options numberedsection=nolabel
       and numberedsection=autolabel)

     - added \global prefix to definition of \@gls@loclist
       in \@gls@noidx@do in case a tabular-like style is used.

     - Fixed no case change bug in \Acrfullplfmt

v4.06:

  * glossaries.sty:

   - Added \glsifhyper

   - Fixed bookmark issue occurring with
     "numbers" and "symbols" package options
     in combination with hyperref.sty and translator.sty

v4.05:

  - Added missing glossaries-prefix.sty to tds

v4.04:

  * glossaries.sty:

   - new commands: \makenoidxglossaries, \printnoidxglossary
     and \printnoidxglossaries that use TeX to sort entries 
     instead of makeindex/xindy

   - new command: \glsnumberlistloop (for use with
     \makenoidxglossaries)

   - new package option: noredefwarn

   - moved definition of \glswrite to \makeglossaries so that write
     register is only allocated if required.

   - fixed bug in \defglsdisplayfirst

  * glossary-tree.sty:

   - fixed bug in alttree style


  * glossaries-accsupp.sty:

   - \compatibleglossentry and \compatiblesubglossentry:
     changed \newcommand to \def as they may or may not be
     defined depending on whether user has loaded glossaries
     separately from glossaries-accsupp

  * makeglossaries:

   - added -Q and -k switches

   - added extra diagnostics

v4.03:

  glossaries.sty:

   * Added \glsifhasfield

   * Changed default definition of \glswritefiles to \@empty
     instead of \relax

   * Fixed bug in \ifglsdescsuppressed

   * Added \glsdetoklabel

   * Added \glsdoifexistsorwarn

   * Changed \glossentryname etc to use \glsdoifexistsorwarn
     instead of \glsdoifexists

   * Added \renewacronymstyle

   * Fixed bug in dua acronym style

  glossaries-accsupp.sty:

   * Redefined acronym styles to use accessibility support

  makeglossaries v2.12:

   * Added check for backslashes in -x, -m and -d arguments


v4.02:

  glossaries.sty:

   * Added nameref value to 'numberedsection' package option

   * New package option: "index"

   * New package option: xindynoglsnumbers (equivalent to 
     xindy={glsnumbers=false})

   * Added \newacronymstyle, \setacronymstyle and associated
     commands. (Package options "smallcaps", "smaller",
     "description", "dua" and "footnote" now deprecated.)

   * New commands \acrfullfmt etc to govern the format of 
     \acrfull etc.

   * Made \makeglossaries preamble only

   * Bug Fixes:

     - \acrlong, \Acrlong, \ACRlong, \acrlongpl,
       \Acrlongpl and \ACRlongpl: removed \acronymfont and
       spurious parenthetical text.

     - \glsentryfull, \Glsentryfull, \glsentryfullpl,
       and \Glsentryfullpl: added missing \acronymfont

     - Fixed bug in "sanitize" package option (deprecated option,
       but still kept for backward compatibility).

v4.01:

  * Fixed bug in \CustomAcronymFields caused by missing comma.

  * Fixed valueless package options so that they can be passed via
    the document class.

v4.0:

  First stable release since v3.07.

v3.14a:

  * glossaries.sty

    - New package options: acronyms, xindygloss, notranslate

    - Modified savewrites option so that it can be set via
      \setupglossaries

    - Enabled compatible-3.07 option in \setupglossaries

    - Added \provideglossaryentry and \longprovideglossaryentry

    - Bug fix: fixed the default firstplural value to the value of
      the plural key.

  * glossaries-prefix.sty

    - New

  * makeglossaries v2.09:

    - added check for -q switch when issuing warnings

v3.13a:

  * glossaries.sty

    - Added \glsprestandardsort

    - Renamed \glossarymark to \glsglossarymark to prevent clash
      with memoir.

    - Made "translate" package option a choice key rather than boolean

    - Bug fix for \glsaddallunused: 
        set default value of optional argument to \@glo@types

    - Bug fix for \SetFootnoteAcronymDisplayStyle:
        added missing final argument of \ifglshaslong

    - Bug fix for \glossarystyle:
        replaced \ifdef with \ifcsdef

  * mfirstuc.sty (v1.08):

    - Made \makefirstuc and \capitalisewords robust

v3.12a:

  * glossaries.sty

    - Added \glsaddkey (allows the user to add their own custom 
      keys to glossary entries).

v3.11a:

  * glossaries.sty

    - Added \setupglossaries
      (http://www.dickimaw-books.com/cgi-bin/featuretracker.cgi?action=view&key=7)

    - Added \glsentryfmt and \defglsentryfmt
      and deprecated \glsdisplayfirst, \glsdisplay,
      \defglsdisplayfirst and \defglsdisplay
      (http://www.dickimaw-books.com/cgi-bin/featuretracker.cgi?action=view&key=13)

    - Added \longnewglossaryentry

    - Added \ifglshasshort and \ifglshaslong

    - Added check in \glsgetgrouptitle for non-Latin characters

    - Added compatible-3.07 package option

    - Added "symbols" and "numbers" package options
      (http://www.dickimaw-books.com/cgi-bin/featuretracker.cgi?action=view&key=16)

    - Added \printacronyms[opts] as a synonym for
      \printglossary[type=\acronymtype,opts]
      if "acronym" package option is used and
      "compatible-3.07" package has not been used
      and \printacronym doesn't already exist at the start
      of the document.

    - Added \showgloshort and \showglolong

    - Fixed bug in \@gls@noexpand@fields

    - Fixed bug in \gls@defglossaryentry that didn't set the default
      counter correctly

    - Now uses \mfirstucMakeUppercase instead of \MakeUppercase
      to be consistent with mfirstuc.

    - Now requires textcase (better handling of case changes)

  * mfirstuc (v1.07)

    - Added \mfirstucMakeUppercase to allow the user to switch from
      \MakeUppercase to another case changing command.

  * makeglossaries (v2.08)

    - Added -x and -m switches

v3.10a:

  * glossaries.sty

    - Added \providecommand to aux file in case user removes 
      the glossaries package from their document. (This ensures
      the next run doesn't throw a load of undefined control
      sequence errors when the aux file is parsed.)

    - Fixed new code (from v3.08a) so that document can still
      compile if entries are defined within the document after
      \printglossary or \printglossaries

v3.09a:

  * glossaries.sty

    - Added fix for \RecordChanges if doc.sty has been loaded

    - Fixed noexpand for symbolplural field
      (http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=41)

    - Made \Glsentryname, \Glsentrytext etc robust

    - Fixed bug in footnote option
      (http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=37)

    - Fixed bug where acronym starts with repeated letter
      (www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=34)

    - Added \glstextup which checks for \textulc
      (http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=40)

v3.08a:

  * glossaries.sty

    - Changed the way information is written to external glossary
      files. Information is now written as just \glossentry{label}
      or \subglossentry{level}{label} instead of
      \glossaryentryfield{label}{name}{description}{symbol} or 
      \glossarysubentryfield{level}{label}{name}{description}{symbol} 
      This means that descriptions can span multiple paragraphs
      without exceeding makeindex's buffer.

    - Added \setglossarystyle (replaces \glossarystyle which is now
      just for backward compatibility)

    - New user commands: 

        \glossentryname, \Glossentryname,
        \glossentrydesc, \Glossentrydesc,
        \glossentrysymbol, \Glossentrysymbol,
        \glsexpandfields, \glsnoexpandfields,
        \glsaddallunused,
        \ifglshassymbol, ifglshasdesc

    - Added nogroupskip option to \printglossary

    - Added \gls@ifnotmeasuring

    - Made \glsseeformat, \glsseelist, \glsseeitem and \glssee robust

  * glossary-tree.sty

    - Added \par to end of theglossary environment for index style.
      (http://www.dickimaw-books.com/cgi-bin/bugtracker.cgi?action=view&key=38)

v3.07 (2013-07-05):

  * glossaries.sty

    - Fixed bug relating to nohypertypes list option

    - Added \setglossarypreamble (code provided by Michael Pock)

    - Modified \glspostdescription to adjust spacefactor before full
      stop. (Patch provided by Michael Pock.)

    - Added check for openright in \gls@doclearpage

    - Added \glsdoparenifnotempty

    - Made \findrootlanguage obsolete

makeglossaries:

    - Added languagemap to determine root language

v3.06:

  * glossaries.sty

    - Fixed incompatibility between glossaries and new version of babel.

  * makeglossaries

    - added babel dialect -> xindy language map

v3.05:

  * glossaries.sty

    - fixed bugs related to location numbering (Roman and Alph).

    - made \nopostdesc robust

    - clarified in the documentation that \makeglossaries must be
      used before cross-referenced entries

    - added missing 'nohypertypes' code

  * makeglossaries:

    - added "din5007" as the default to makeglossaries if the
      language is german

  * glossary-mcols.sty:

    - Fixed bug -> \begin{multicols}{2} replaced with \begin{multicols}{\glsmcols}

v3.04:

  * added 'nohypertypes' package option

  * added new commands: \GlsDeclareNoHyperList and \glsIfNoHyperType

  * added 'local' key to \glsdisp, \gls, \Gls and \GLS

  * added check for doc package

  * fixed bug in altlist that can cause an unintentional page break
    between entry and description.

  * fixed bug that causes extra space after glossary when using
    xindy

  * fixed bug that was introduced by the bug fix in 3.02 regarding wrong
    page number

  makeglossaries v2.05:
  * added -d option

v3.03:

  * fixed bug in \printglossary options: title now also sets
    toctitle if toctitle missing (as per documentation).

  * added sanitize={sort=false} option

  * added nopostdot package option

  * added nogroupskip package option

   glossary-inline.sty added:

   - \glsinlinenameformat
   - \glsinlinedescformat
   - \glsinlineemptydescformat
   - \glsinlinesubnameformat
   - \glsinlinesubdescformat
   - \glsinlinepostchild

v3.02:

  * new package options:

    - 'ucmark'
    - 'indexonlyfirst'
    - 'savenumberlist'

  * new glossary styles:

    - glossary-mcol.sty
    - glossary-inline.sty

  * new commands:

    - \glolinkprefix
    - \glsmoveentry
    - \renewglossarystyle
    - \ifglshaschildren
    - \ifglshasparent
    - \glsresetentrycounter
    - \glsentrynumberlist
    - \glsdisplaynumberlist

  * added check to \glswritefiles to see if glossary tokens have
    been defined in case savewrites option used and \makeglossaries
    omitted.

  * fixed bug in \showglossaryentries

  * fixed bug in \SmallNewAcronymDef

  * fixed unwanted space in
    \SetDescriptionFootnoteAcronymDisplayStyle

  * fixed [xindy] wrong page number bug for entries occurring in
    paragraph spanning page break

  * fixed bug in \Glsentryfull and \glsentryfullpl

  * swapped order of checks for babel and polyglossia

  mfirstuc v1.06:

  * added \capitalisewords, \xcapitalisewords

  makeglossaries v2.04:

  * fixed bug in &scan_aux

v3.01:

   * made commands like \glslink, \gls and \acrshort robust

   * Fixed bugs in commands like \acrfullpl which was missing the
     plural in some cases.

   * Removed \acronymfont from \acrfullformat as it's already used
     in the second argument passed to that command. (Causes a 
     problem with the "smaller" option.)

v3.0 (Major changes):

   * Documentation has been restructured:

     - glossaries-user: main user manual
     - glossariesbegin: cut-down introduction for beginners
     - mfirstuc-manual: user manual for mfirstuc package
     - glossaries.pdf: documented code for advanced users
     - glossary2glossaries: upgrading from glossary.sty to glossaries.sty

   * Added new package options:

     - entrycounter : number main (level 0) entries in the glossary.

     - counterwithin : set parent counter for the entry counter.

     - subentrycounter : number level 1 entries in the glossary.

     - sort : set the sort order to 
              - standard alphabetical (sort=standard),
              - order of definition (sort=def) 
              - order of use (sort=use)

     - seeautonumberlist : automatically activates the number list
                           for entries that use the "see" key.

     - savewrites : minimise number of \newwrite

     - compatible-2.07 :

         bug fixes in v3.0 have cause compatibility problems. This 
         package option will restore the old behaviour but bugs will 
         remain.  (Should mostly only effect documents that used
         \noist with a custom Xindy style file.)

   * \printglossary sets \currentglossary to the current glossary's
     label. (Allows custom glossary styles access to the glossary
     type.)

   * Modified internal workings of acronyms and:

     - Added starred versions of \acrshort etc.

     - Added "long", "short", "longplural" and "shortplural" keys
       (Reserved for use with \newacronym.)

     - Added analogous "longaccess", "shortaccess", "longpluralaccess"
       and "shortpluralaccess" keys for \newacronym in 
       glossaries-accsupp.sty

   * Added \glsseeitemformat to customise the text given in the link
     created by \glsseeitem.

   * \newglossaryentry key "nonumberlist" now boolean.

   * added debugging commands \showgloname etc.

   * now loads etoolbox:

     - replaced \DeclareRobustCommand with \newrobustcmd

     - replaced \@ifundefined with \ifcsundef

     - replaced \let...\undefined with \undef...

   * Bug Fixes:

     - now works with equation counter in amsmath's align
       environment.

     - Mixed counters now work with xindy option.

     - Fixed hyperlinks in location numbers where \theH<counter>
       has a prefix not present in \the<counter>.

     - If title specified in \printglossary but toctitle hasn't
       been specified, make toctitle same as supplied title.

     - \newglossaryentry "see" key and \glssee now sanitize and escape 
       special characters before writing to output file. (Allows
       user to redefine \seename any point before \printglossary or
       \printglossaries.)

     - \glshyperlink: Changed the default value of the optional argument
                      to \glsentrytext instead of \glsentryname.

   * mfirstuc.sty (v1.05):

     - added \glsmakefirstuc (replaces \@gls@makefirstuc) to make
       it easier to customise.

   makeglossaries (v2.02):

   * now displays version number on startup unless -q

   * added more diagnostics to give more helpful messages than
     those supplied by xindy or makeindex.

v2.07 (2010-07-10):

   * Fixed bug that ignored format key in \glsadd

   makeglossaries:

   * Fixed bug causing failure to process aux files containing \@input

v2.06:
   * Added \altnewglossary

   * added facility to customise acronyms if the predefined styles
     don't fit the user's requirements.

   * Serbian dictionary added (provided by Zoran Filipovic)

   makeglossaries:

   * Scans aux file for \@input in case \printglossary is in an
     imported file.

v2.05:
   * Fixed error in .ist file and in \glsdisp caused by a 
     misplace brace. (Patch provided by Sergiu Dotenco).

v2.04:
   * Improved support for multiple lists of acronyms.

   * Fixed bug that caused \glsadd to ignore counter option

   * Fixed bug that causes babel to override translator's definition
     of \glossaryname.

   * Added user1, ... , user6 keys.

   * Added polyglossia support

   * makeglossaries now creates stub output file if input file is
     empty

  glossaries-accsupp v0.2:
   * Added access keys.

   * Added support for acronyms.

  mfirstuc v1.04: 
   * fixed bug occurring when initial control sequence
     in the argument of \makefirstuc has more than one 
     argument.

v2.03:
   * Added check to see if \glossarymark has been defined

   * makeglossaries - failed file test messages printed to
     stdout instead of stderr (so that it doesn't interrupt
     latexmk).

   * Fixed bug when entries used at the start of a paragraph.

   * Added package option hyperfirst (boolean option to suppress
     hyperlink on first use).

   * Added pod to makeglossaries.

v2.02:
   * Renamed glossaries-dictionary-Brazil.dict to 
     glossaries-dictionary-Brazilian.dict

   * Replaced \@mkboth with \glossarymark in \glossarysection
     to make it easier for the user to override it

   * Fixed bug that generated no \printglossary warning when
     the glossary is placed in a group

   * translate=false option will now prevent automatic loading
     of translator package.

v2.01:
   * Documentation changes:
      - removed quick guide section from glossaries.pdf and replaced 
        it with a separate beginners guide (glossariesbegin.pdf)
      - added a section for front-end or script developers who
        want to access information from the aux file

   * Added new ragged right versions of long/super styles

   * Added 'nomain' package option to suppress the creation of the
     main glossary

   * Added 'nowarn' package option to suppress warnings

   * Removed unwanted full stops in transcript messages

   * Changed \linewidth to \hsize when setting lengths

   * Removed item_02 key from makeindex style file (no such key)

   * Moved \@do@wrglossary before term is displayed to prevent
     unwanted whatsit

v2.0 (1.20):
   * Fixed ngerman caption bug in glossaries-babel.sty

v1.19:

   * changed \acronymfont to use \textsmaller instead of \smaller
     (for "smaller" package option)

   * Added \glsdisp (similar to \glslink except that it uses
     \glsdisplay/glsdisplayfirst and unsets the first use flag)

   * Added experimental package glossaries-accsupp which 
     requires accsupp package.

v1.18:
   * fixed missing closing } in glossaries-babel.sty

   * added \glstarget so that glossary styles can be modified
     in the document without using internal commands.

   * glossary-super.sty isn't loaded if supertabular.sty isn't
     installed.

   * added nolong, nosuper, nolist, notree and nostyles package 
     options to prevent loading unnecessary packages.

   * added \oldacronym (emulates the old glossary package's 
     \newacronym command).

   * added sublistdotted style.

   * fixed bug caused by misspelt \glspagewidthlist (should be
     \glspagelistwidth).

   * fixed border in super4colheaderborder and 
     altsuper4colheaderborder styles.

   * fixed sort sanitization when package option sanitize={name=false}
     is used.

v1.17:
   * changed definition of \@glossary to prevent conflict with
     memoir

   * added check to determine if \printglossary is defined. (If
     it is, issue warning and redefine.)

   * provided means to suppress number list for specific entries

   * provided means to suppress description terminator for
     specific entries

   * added cross-referencing support

   * added hierarchical support

   * added xindy support

   * modified \glshypernumber to support \nohyperpage
     (code provided by Heiko Oberdiek)

   * added 2 and 3-page suffix support

   * added "order" package option to set word/letter ordering
     (only has an effect in combination with makeglossaries script)

   * added Brazilian dictionary (supplied by Thiago de Melo)

v1.16 :
   * fixed bug that causes footnote option to remove hyperlink
     for first use entries in glossaries other than the list
     of acronyms. (footnote option should only affect entries
     in \acronymtype glossary.)

   * Raised hypertarget so that links to glossary entries don't
     scroll off the top of the page.

   * Fixed expansion-related bug (thanks to fix provided by
     Ulrich Diez)

v1.15 :
   * added \glslabel

   * added altlong4col* and altsuper4col* styles

   * fixed PDF encoding problem caused when both translator
     and hyperref packages are being used

   * fixed bug when using smallcaps and smaller options that causes
     the long form in the list of acronyms to be the same for each 
     entry

   * Added warnings when rerun required when using glossary
     group hyper navigation

glossaries.perl v1.04:
   * add do_cmd_glslabel

   * changed links to the start of the relevant glossary entry
     rather than the entry's backlink

   * added implementation of starred forms of \gls etc

   * added frame related code if frames.pl has been loaded

v1.14 :
   * Fixed bug in \glsnavhyperlink that causes an error when used
     with hyperref and translator packages.

   * Added \glsautoprefix (specifies a prefix to the automatically
     generated label)

   * Added nonumberlist and numberedsection keys to \printglossary

   * Changed \glsnavigation so that it only lists the groups that
     are present. (This prevents unknown target warnings.)

   * Amended documentation.

mfirstuc v1.02 (18 June 2008):

   * Fixed bug that transfered grouping, (e.g 
     \makefirstuc{\emph{abc}xyz} moved the xyz into the \emph)

   * If group following initial command is empty, \MakeUppercase
     is applied to the command, e.g. \makefirstuc{\ae{}bc} now
     produces \MakeUppercase\ae{}bc.

v1.13 :
   * Fixed bug in long4colheaderborder that puts an extra row
     at the end of the glossary.

   * Fixed bug in \glstext etc that ignored 3rd argument (thanks
     to Franz Fischer for pointing this out).

   * Removed only preamble restriction on \newglossaryentry and
     \newacronym.

   * Added \glspluralsuffix.

   * Changed firstplural default so that it takes its value from
     the plural key if the first key is omitted.

   * Added \acrshortpl, \Acrshortpl, \ACRshortpl, \acrlongpl,
     \Acrlongpl, \ACRlongpl, \acrfullpl, \Acrfullpl, \ACRfullpl.

   * Fixed bugs in \Acrshort etc.

   * Add package options "smaller" and "shortcuts".

   * Acronym default plural forms now implemented for the additional
     acronym styles.

   * Fixed makeglossaries to allow filenames with spaces.

   * Fixed error in documentation describing \glsaddall
     - optional argument should be a key=value list.

   * Added Polish support (thanks to Piotr Formella for supplying
     the translations).

   * If babel is loaded and translator package is found on TeX's
     path, then the translator package will now be automatically 
     loaded.

mfirstuc v1.01 (13 May 2008):

   * Added \xmakefirstuc (expands argument before applying \makefirstuc)

v1.12 (8 March 2008):
   * Fixed bug that causes \glspl to print the plural short form
     on first use instead of the plural long form.

   * Added descriptionplural and symbolplural keys.

   * Added \glsshortkey, \glsshortpluralkey, \glslongkey and
     \glslongpluralkey.

   * Fixed bugs in \glsname, \glstext, \glsdesc etc.

   * Added a check for \hypertarget in addition to checking
     for \hyperlink (in the event that \hyperlink is defined
     but not \hypertarget).

   * Changed #! line in makeglossaries to use /usr/bin/env

   * Added package mfirstuc.sty which provides the command 
     \makefirstuc{<stuff>} which makes the first object of
     <stuff> uppercase unless <stuff> starts with a control
     sequence followed by a group, in which case the first
     object in the group is converted to uppercase. Examples:

     \makefirstuc{abc}        -> Abc
     \makefirstuc{\emph{abc}} -> \emph{Abc}
     \makefirstuc{{\'a}bc}    -> {\'A}bc
     \makefirstuc{\ae bc}     -> \AE bc
     \makefirstuc{{\ae}bc}    -> {\AE}bc

     (but don't do \makefirstuc{\ae{}bc} which produces \ae Bc.)

v1.11 (2 March 2008):
   * Fixed error in manual (glossary style is set using \glossarystyle
     not \setglossarystyle).

   * Changed the way the package is archived to make it compatible
     with TeX Live.

   * Improved error handling of makeglossaries and added --version
     and --help options.

v1.1 (22 Feb 2008):

   * New package options:

     - numberline: 
       inserts \numberline{} in \addcontentsline when used with
       the toc option.

     - numberedsection: 
       puts glossaries in numbered chapters/sections

     - translate:
       translate=false option prevents glossaries package from
       using pre-supplied translations.

     - description:
       changes definition of \newacronym to allow a description

     - footnote:
       changes definition of \newacronym to use a footnote on
       first use

     - smallcaps:
       changes definition of \newacronym to set acronyms in 
       small capitals

     - dua:
       changes definition of \newacronym to always expand
       acronyms

   * Added \setglossarysection
     - changes the section type used by the glossaries

   * Added listdotted glossary style.

   * No longer uses xspace package; uses amsgen instead.

   * Added \glsname, \glsdesc, \glssymbol, \glsfirst, \glstext, 
     \glsplural and \glsfirstplural.

   * Added support for translator package.

v1.08 (13 Oct 2007):
   * Added multilingual support
   * Fixed bug in listgroup and altlistgroup styles so that 
     \glsgroupheading uses \glsgetgrouptitle to get the group title 
     instead of displaying the label
   * Fixed typo in error message text when the description key
     is missing to \newglossaryentry.

v1.07 (13 Sep 2007):
   * Fixed bug causing incorrect page number for entries in the
     first paragraph of a page.

v1.06 (21 Aug 2007):
   * Changed the license text

v1.05 (10 Aug 2007):
   * Changed the default value of the sort key to just use the
     name key
   * Added \@mkboth to \glossarysection

v1.04 (3 Aug 2007):
   * Added \glstextformat

v1.03 (4 July 2007):
   * Added \glspostdescription

v1.02 (25 May 2007):
   * Added overview section in the documentation

v1.01 (17 May 2007):
   * Added number range facility (equivalent to makeindex's |( and |)
     formatting commands.)
   * Added a space after \delimN and \delimR in the ist file.

v1.0 (16 May 2007): Initial release
